;
;Timerwerte gelten fr eine 8MHz Clock
;


;=============================================
;=                Warte 1ms                  =
;=============================================
warte_1ms:
	ldi r16, 125
	out tcnt2, r16								
	ldi r16, (1<<CS02) | (0<<CS01) | (0<<CS00)	;Teiler fr Timer2 einstellen
	out tccr2, r16								;Teiler fr Timer2 starten
w1ms:
	in r16, TIFR
	sbrs r16, TOV2
	rjmp w1ms
	out tcnt2, r16
	ldi r16, (0<<CS02) | (0<<CS01) | (0<<CS00)	;Timer2 fr Timer2 aus
	ldi r16, (1<<TOV2)							;Timer2 fr Timer2 zurckstellen
	out TIFR, r16
ret
;=============================================
;=                Warte 20ms                 =
;=============================================
warte_20ms:
	ldi r16, 156
	out tcnt2, r16								
	ldi r16, (1<<CS02) | (1<<CS01) | (1<<CS00)	;Teiler fr Timer2 einstellen
	out tccr2, r16								;Teiler fr Timer2 starten
w20ms:
	in r16, TIFR
	sbrs r16, TOV2
	rjmp w20ms
	out tcnt2, r16
	ldi r16, (0<<CS02) | (0<<CS01) | (0<<CS00)	;Timer2 aus
	ldi r16, (1<<TOV2)							;Timer2 zurckstellen
	out TIFR, r16
ret
;=============================================
;=                Warte 1s                   =
;=============================================
warte_1s:
	ldi r17, 50
w1s:
	rcall warte_20ms
	dec r17
	brne w1s
ret
